<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.xingxi.store.data.mapper.WxaStoreShopDecoMapper">

    <select id="selectShopEnvByMercId" parameterType="String" resultType="ShopEnvDTO">
        SELECT t_shop_deco.decoId
             , t_shop_deco.shopName
             , t_shop_deco.shopAbbrName
             , t_shop_deco.themeColor
             , t_shop_deco.fontColor
        FROM t_shop_deco
        WHERE t_shop_deco.delFlag = '0'
          AND t_shop_deco.mercId = #{mercId}
    </select>

    <select id="selectShopModelListByMercId" parameterType="String" resultType="ShopThemeDTO">
        SELECT t_shop_theme.id, t_shop_theme.model, t_shop_theme.sort,t_shop_theme.shelfFlag
        FROM t_shop_theme
        WHERE t_shop_theme.delFlag = '0'
          AND t_shop_theme.mercId = #{mercId}
        ORDER BY t_shop_theme.sort
    </select>

</mapper>
